List attachments
View as MarkdownGET
/v1/workspaces/{workspaceId}/attachmentsLists a workspace's attachments, or one document's, newest first.
docs:readRead-only
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/attachments" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Query parameters
- documentIdULID
- includeDeletedboolean
Default
false
Response
- attachmentsAttachment[]
Show 12 fieldsHide fields
{
"attachments": [
{
"id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"documentId": null,
"filename": "string",
"contentType": "string",
"size": 0,
"sha256": "string",
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null,
"createdBy": null,
"updatedBy": null
}
]
}Errors use one envelope for every endpoint. See Errors and versions.